opkg update problem

I am trying to install "kmod-usb-serial-ftdi" so I have to make "opkg update" and this is what I get

Downloading http://downloads.arduino.cc/openwrtyun/1/packages/Packages.gz.
Updated list of available packages in /var/opkg-lists/attitude_adjustment.
Downloading http://downloads.arduino.cc/openwrtyun/1/packages/Packages.sig.
Signature check failed.
Remove wrong Signature file.

any help?

Just done and works fine. Maybe some issue with the downloads server. Can you retry?

same as before

Downloading http://downloads.arduino.cc/openwrtyun/1/packages/Packages.gz.
Updated list of available packages in /var/opkg-lists/attitude_adjustment.
Downloading http://downloads.arduino.cc/openwrtyun/1/packages/Packages.sig.
Signature check failed.
Remove wrong Signature file.

I'm puzzled. Can you paste the output of command

cat /etc/arduino/openwrt-yun-release
root@Arduino:~# cat /etc/arduino/openwrt-yun-release
built=Sat May 17 11:59:28 CEST 2014

I'm still puzzled. My yun was not as up to date as yours. I've updated it. opkg is still successful

root@Arduino:~# opkg update
Downloading http://downloads.arduino.cc/openwrtyun/1/packages/Packages.gz.
Updated list of available packages in /var/opkg-lists/attitude_adjustment.
Downloading http://downloads.arduino.cc/openwrtyun/1/packages/Packages.sig.
Signature check passed.

yes what do you think. is there any way to retrieve the older version of Linux

I have finally solved my problem I installed an older version of linino you can find it here http://download.linino.org/linino_distro/master/latest/openwrt-ar71xx-generic-linino-yun-16M-250k-squashfs-sysupgrade.bin and it is working well.